Class | Sequel::Postgres::JSONHash
In: | lib/sequel/extensions/pg_json.rb
Parent: | DelegateClass(Hash)

Class representating PostgreSQL JSON column hash/object values.

### Methods

sql_literal_append

### External Aliases

__getobj__ | -> | to_hash
| Return the object being delegated to.

### Public Instance methods

sql_literal_append(ds, sql)

Convert the array to a string using to_json, append a literalized version of the string to the sql, and explicitly cast the string to json.

[Source]

        # File lib/sequel/extensions/pg_json.rb, line 80
    80:       def sql_literal_append(ds, sql)
    81:         ds.literal_append(sql, to_json)
    82:         sql << CAST_JSON
    83:       end

[Validate]